Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.antlr
Class ASTParserException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.codehaus.groovy.GroovyException
                  org.codehaus.groovy.syntax.SyntaxException
                      org.codehaus.groovy.syntax.TokenException
                          org.codehaus.groovy.syntax.ParserException
                              org.codehaus.groovy.antlr.ASTParserException

All Implemented Interfaces:
  Serializable, GroovyExceptionInterface

    public class ASTParserException

extends ParserException

Thrown when trying to parse the AST

Version:
  $Revision: 7922 $
See Also:
  Serialized Form

Constructor Summary
`ASTParserException(ASTRuntimeException e)`
`ASTParserException(String message, ASTRuntimeException e)`

Method Summary
`AST` | `getAst()`

Methods inherited from class org.codehaus.groovy.syntax.TokenException
`getEndColumn`

Methods inherited from class org.codehaus.groovy.syntax.SyntaxException
`getLine, getMessage, getOriginalMessage, getSourceLocator, getStartColumn, getStartLine, setSourceLocator`

Methods inherited from class org.codehaus.groovy.GroovyException
`isFatal, setFatal`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ASTParserException

    public ASTParserException(ASTRuntimeException e)

### ASTParserException

    public ASTParserException(String message,
                              ASTRuntimeException e)

Method Detail

### getAst

    public AST getAst()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2009 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD